高危 github owslib xml外部实体引用的不恰当限制(xxe)

CVE编号

CVE-2021-39371

利用情况

POC 已公开

补丁情况

官方补丁

披露时间

2021-08-23
漏洞描述
An XML external entity (XXE) injection in PyWPS before 4.5.0 allows an attacker to view files on the application server filesystem by assigning a path to the entity. OWSLib 0.24.1 may also be affected.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 github owslib 0.24.1 -
运行在以下环境
应用 osgeo pywps * Up to
(excluding)
4.5.0
运行在以下环境
系统 debian_10 pywps * Up to
(excluding)
4.2.1-1
运行在以下环境
系统 debian_11 pywps * Up to
(excluding)
4.2.11-1
运行在以下环境
系统 debian_9 pywps * Up to
(excluding)
4.0.0-3+deb9u1
阿里云评分
7.6
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    POC 已公开
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-611 XML外部实体引用的不恰当限制(XXE)
阿里云安全产品覆盖情况